/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

/**
 * @author Thiago
 *
 */
public class RenderRelatorioGenericoPuntoVentaSel implements ListitemRenderer {

	
	public void render(Listitem lstm, Object o) throws Exception {
		PuntoVenta puntoVenta = (PuntoVenta) o;

		Listcell lc = new Listcell(puntoVenta.getNombpuntoventa());
		lc.setParent(lstm);

		Empresa empresa = puntoVenta.getEmpresa();
		if (empresa != null) {
			lc = new Listcell(empresa.getNombempresa());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell(puntoVenta.getNumPuntoVenta());
		lc.setParent(lstm);

		lstm.setAttribute("data", puntoVenta);
	}
}
